<template>
  <page
    title="Login"
    max-width="40em"
  >
    <formulary :submit="login">
      <v-text-field
        label="Email"
        name="email"
        type="email"
        v-model="email"
      />
      <hidden
        label="Password"
        name="password"
        v-model="password"
      />
    </formulary>
  </page>
</template>

<script lang="ts">
import Vue from 'vue'
import Page from '@/components/Page.vue'
import Formulary from '@/components/Formulary.vue'

import Hidden from '@/components/input/Hidden.vue'

export default Vue.extend({
  components: {
    Page,
    Formulary,
    Hidden
  },
  data: () => ({
    email: '' as string,
    password: '' as string
  }),
  methods: {
    async login () {
      await this.$store.dispatch('auth/login', { email: this.email, password: this.password })
      await this.$router.go(0)
    }
  }
})
</script>
